Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009646Dwarf FortressDwarf Mode -- Jobs, Cleaningpublic2016-03-21 04:222018-02-04 15:55
Reportermartinuzz 
Assigned ToToady One 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformi7OSwindowsOS Version7
Product Version0.42.06 
Target VersionFixed in Version0.44.06 
Summary0009646: clean job not cancelled by incarceration
DescriptionWhile most, if not all other jobs are properly cancelled when a dwarf is hauled to jail, a clean job is not. It will only be cancelled when a dwarf passes out from hammering pain, or when it goes to sleep while jailed.
Steps To Reproduce1) have clean labour on for a sample of dwarves, have enough jail cells to hold them
2) mass export some export-banned goods
3) you should have some dwarves with a 'clean' job instead of a 'no job(chained)' in your jails now.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0037720)
martinuzz (reporter)
2018-01-31 15:23
edited on: 2018-01-31 15:31

I put up a save with jail cells. There's no dwarves in the jails, you still need to fiddle a bit with exporting banned goods or ignoring mandates to try and get a dwarf jailed that is on a clean job.
Save is for 44.05, I use DFHack, not sure if needed to run the save.
http://dffd.bay12games.com/file.php?id=13472 [^]

Note that the bug is not DFHack related, it happens in 'clean' forts too.

EDIT: you might want to un-appoint the hammerer, so all punishments will be jailtime

(0037721)
Orkel (reporter)
2018-01-31 15:36
edited on: 2018-01-31 15:37

Noticed this with other jobs as well - had a dwarf in the jail stuck with a reading job (book name was The Wizard's Guide to *some location*). Presumably because he got either nabbed from the library while reading, or was on his way to read.

(0037722)
martinuzz (reporter)
2018-01-31 15:37

Yeah, perhaps related too: If your manager is in jail and there are manager jobs to be done, there will be cancellation spam of your manager cancelling manange work orders jobs
(0037725)
martinuzz (reporter)
2018-02-01 09:28

Here's a better save, with a dwarf with clean job being escorted to prison
http://dffd.bay12games.com/file.php?id=13474 [^]
(0037726)
Loci (manager)
2018-02-01 13:50

Thank you for the save. While testing the latter save in v0.44.05, 'Blade' Gusilvod, Clan of Whips apparently accepted a new "clean" job while being hauled to jail. ("Cancels sleep: In Custody", followed by "No Job", followed by "Clean" while en route to his cell.) Active "clean" jobs should be canceled ("In Custody") and new "clean" jobs should not be accepted by detained dwarves.
(0037752)
Toady One (administrator)
2018-02-04 15:55

The clean job being canceled when the person is grabbed seems to already be happening (with the "In Custody" announcement); but they'd initiate new clean jobs on the way to prison. That part is fixed. I'll look at the reading part as well.

- Issue History
Date Modified Username Field Change
2016-03-21 04:22 martinuzz New Issue
2016-03-21 15:00 Button Issue Monitored: Button
2018-01-31 15:23 martinuzz Note Added: 0037720
2018-01-31 15:27 martinuzz Note Edited: 0037720 View Revisions
2018-01-31 15:31 martinuzz Note Edited: 0037720 View Revisions
2018-01-31 15:36 Orkel Note Added: 0037721
2018-01-31 15:37 Orkel Note Edited: 0037721 View Revisions
2018-01-31 15:37 martinuzz Note Added: 0037722
2018-02-01 09:28 martinuzz Note Added: 0037725
2018-02-01 13:50 Loci Note Added: 0037726
2018-02-01 13:50 Loci Assigned To => Loci
2018-02-01 13:50 Loci Status new => confirmed
2018-02-04 15:55 Toady One Note Added: 0037752
2018-02-04 15:55 Toady One Status confirmed => resolved
2018-02-04 15:55 Toady One Fixed in Version => Next Version
2018-02-04 15:55 Toady One Resolution open => fixed
2018-02-04 15:55 Toady One Assigned To Loci => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker